$(function(){
$("#pie").dxPieChart({
palette: "bright",
dataSource: dataSource,
title: "Top internet languages",
legend: {
horizontalAlignment: "center",
verticalAlignment: "bottom"
},
"export": {
enabled: true
},
series: [{
argumentField: "language",
valueField: "percent",
label: {
visible: true,
connector: {
visible: true,
width: 0.5
},
format: "fixedPoint",
customizeText: function (point) {
return point.argumentText + ": " + point.valueText + "%";
}
},
smallValuesGrouping: {
mode: "smallValueThreshold",
threshold: 4.5
}
}]
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="pie"></div>
</div>
</body>
</html>
#pie {
height: 440px;
}
var dataSource = [{
language: "English",
percent: 55.5
}, {
language: "Chinese",
percent: 2.8
}, {
language: "Spanish",
percent: 4.6
}, {
language: "Japanese",
percent: 5.0
}, {
language: "Portuguese",
percent: 2.5
}, {
language: "German",
percent: 5.8
}, {
language: "French",
percent: 4.0
}, {
language: "Russian",
percent: 5.9
}, {
language: "Italian",
percent: 1.9
}, {
language: "Polish",
percent: 1.7
}, {
language: "Turkish",
percent: 1.5
}, {
language: "Dutch",
percent: 1.3
}, {
language: "Persian",
percent: 0.9
}, {
language: "Arabic",
percent: 0.8
}, {
language: "Korean",
percent: 0.7
}, {
language: "Czech",
percent: 0.7
}, {
language: "Swedish",
percent: 0.5
}, {
language: "Vietnamese",
percent: 0.4
}, {
language: "Indonesian",
percent: 0.4
}, {
language: "Greek",
percent: 0.4
}, {
language: "Romanian",
percent: 0.4
}, {
language: "Hungarian",
percent: 0.3
}, {
language: "Danish",
percent: 0.3
}, {
language: "Thai",
percent: 0.3
}, {
language: "Finnish",
percent: 0.2
}, {
language: "Slovak",
percent: 0.2
}, {
language: "Bulgarian",
percent: 0.2
}, {
language: "Norwegian",
percent: 0.2
}, {
language: "Hebrew",
percent: 0.1
}, {
language: "Lithuanian",
percent: 0.1
}, {
language: "Croatian",
percent: 0.1
}, {
language: "Ukrainian",
percent: 0.1
}, {
language: "Norwegian Bokmål",
percent: 0.1
}, {
language: "Serbian",
percent: 0.1
}, {
language: "Catalan",
percent: 0.1
}, {
language: "Slovenian",
percent: 0.1
}, {
language: "Latvian",
percent: 0.1
}, {
language: "Estonian",
percent: 0.1
}];

import React from 'react';
import PieChart, {
Series,
Label,
Connector,
SmallValuesGrouping,
Legend,
Export,
} from 'devextreme-react/pie-chart';
import { dataSource } from './data.js';
function App() {
return (
<PieChart
id="pie"
dataSource={dataSource}
palette="Bright"
title="Top internet languages"
>
<Series
argumentField="language"
valueField="percent"
>
<Label visible={true} customizeText={formatLabel} format="fixedPoint">
<Connector visible={true} width={0.5} />
</Label>
<SmallValuesGrouping threshold={4.5} mode="smallValueThreshold" />
</Series>
<Legend horizontalAlignment="center" verticalAlignment="bottom" />
<Export enabled={true} />
</PieChart>
);
}
function formatLabel(arg) {
return `${arg.argumentText}: ${arg.valueText}%`;
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#pie {
height: 440px;
}
export const dataSource = [{
language: 'English',
percent: 55.5,
}, {
language: 'Chinese',
percent: 2.8,
}, {
language: 'Spanish',
percent: 4.6,
}, {
language: 'Japanese',
percent: 5.0,
}, {
language: 'Portuguese',
percent: 2.5,
}, {
language: 'German',
percent: 5.8,
}, {
language: 'French',
percent: 4.0,
}, {
language: 'Russian',
percent: 5.9,
}, {
language: 'Italian',
percent: 1.9,
}, {
language: 'Polish',
percent: 1.7,
}, {
language: 'Turkish',
percent: 1.5,
}, {
language: 'Dutch',
percent: 1.3,
}, {
language: 'Persian',
percent: 0.9,
}, {
language: 'Arabic',
percent: 0.8,
}, {
language: 'Korean',
percent: 0.7,
}, {
language: 'Czech',
percent: 0.7,
}, {
language: 'Swedish',
percent: 0.5,
}, {
language: 'Vietnamese',
percent: 0.4,
}, {
language: 'Indonesian',
percent: 0.4,
}, {
language: 'Greek',
percent: 0.4,
}, {
language: 'Romanian',
percent: 0.4,
}, {
language: 'Hungarian',
percent: 0.3,
}, {
language: 'Danish',
percent: 0.3,
}, {
language: 'Thai',
percent: 0.3,
}, {
language: 'Finnish',
percent: 0.2,
}, {
language: 'Slovak',
percent: 0.2,
}, {
language: 'Bulgarian',
percent: 0.2,
}, {
language: 'Norwegian',
percent: 0.2,
}, {
language: 'Hebrew',
percent: 0.1,
}, {
language: 'Lithuanian',
percent: 0.1,
}, {
language: 'Croatian',
percent: 0.1,
}, {
language: 'Ukrainian',
percent: 0.1,
}, {
language: 'Norwegian Bokmål',
percent: 0.1,
}, {
language: 'Serbian',
percent: 0.1,
}, {
language: 'Catalan',
percent: 0.1,
}, {
language: 'Slovenian',
percent: 0.1,
}, {
language: 'Latvian',
percent: 0.1,
}, {
language: 'Estonian',
percent: 0.1,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<dx-pie-chart
id="pie"
title="Top internet languages"
palette="bright"
[dataSource]="internetLanguages">
<dxo-legend
horizontalAlignment="center"
verticalAlignment="bottom"></dxo-legend>
<dxo-export [enabled]="true"></dxo-export>
<dxi-series
argumentField="language"
valueField="percent">
<dxo-label
[visible]="true"
format="fixedPoint"
[customizeText]="customizeLabel">
<dxo-connector
[visible]="true"
[width]="0.5"></dxo-connector>
</dxo-label>
<dxo-small-values-grouping
mode="smallValueThreshold"
[threshold]="4.5"></dxo-small-values-grouping>
</dxi-series>
</dx-pie-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxPieChartModule } from 'devextreme-angular';
import { LanguageData, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service]
})
export class AppComponent {
internetLanguages: LanguageData[];
constructor(service: Service) {
this.internetLanguages = service.getLanguagesData();
}
customizeLabel(point) {
return point.argumentText + ": " + point.valueText + "%";
}
}
@NgModule({
imports: [
BrowserModule,
DxPieChartModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #pie {
height: 440px;
}
import {
Injectable
} from '@angular/core';
export class LanguageData {
language: string;
percent: number;
}
let languages: LanguageData[] = [{
language: "English",
percent: 55.5
}, {
language: "Chinese",
percent: 2.8
}, {
language: "Spanish",
percent: 4.6
}, {
language: "Japanese",
percent: 5.0
}, {
language: "Portuguese",
percent: 2.5
}, {
language: "German",
percent: 5.8
}, {
language: "French",
percent: 4.0
}, {
language: "Russian",
percent: 5.9
}, {
language: "Italian",
percent: 1.9
}, {
language: "Polish",
percent: 1.7
}, {
language: "Turkish",
percent: 1.5
}, {
language: "Dutch",
percent: 1.3
}, {
language: "Persian",
percent: 0.9
}, {
language: "Arabic",
percent: 0.8
}, {
language: "Korean",
percent: 0.7
}, {
language: "Czech",
percent: 0.7
}, {
language: "Swedish",
percent: 0.5
}, {
language: "Vietnamese",
percent: 0.4
}, {
language: "Indonesian",
percent: 0.4
}, {
language: "Greek",
percent: 0.4
}, {
language: "Romanian",
percent: 0.4
}, {
language: "Hungarian",
percent: 0.3
}, {
language: "Danish",
percent: 0.3
}, {
language: "Thai",
percent: 0.3
}, {
language: "Finnish",
percent: 0.2
}, {
language: "Slovak",
percent: 0.2
}, {
language: "Bulgarian",
percent: 0.2
}, {
language: "Norwegian",
percent: 0.2
}, {
language: "Hebrew",
percent: 0.1
}, {
language: "Lithuanian",
percent: 0.1
}, {
language: "Croatian",
percent: 0.1
}, {
language: "Ukrainian",
percent: 0.1
}, {
language: "Norwegian Bokmål",
percent: 0.1
}, {
language: "Serbian",
percent: 0.1
}, {
language: "Catalan",
percent: 0.1
}, {
language: "Slovenian",
percent: 0.1
}, {
language: "Latvian",
percent: 0.1
}, {
language: "Estonian",
percent: 0.1
}];
@Injectable()
export class Service {
getLanguagesData(): LanguageData[] {
return languages;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.0.3/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8',
'devextreme-angular': 'npm:devextreme-angular@20.2.4',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxPieChart
id="pie"
:data-source="dataSource"
palette="Bright"
title="Top internet languages"
>
<DxSeries
argument-field="language"
value-field="percent"
>
<DxLabel
:visible="true"
:customize-text="formatLabel"
format="fixedPoint"
>
<DxConnector
:visible="true"
:width="0.5"
/>
</DxLabel>
<DxSmallValuesGrouping
:threshold="4.5"
mode="smallValueThreshold"
/>
</DxSeries>
<DxLegend
horizontal-alignment="center"
vertical-alignment="bottom"
/>
<DxExport :enabled="true"/>
</DxPieChart>
</template>
<script>
import DxPieChart, {
DxSeries,
DxLabel,
DxConnector,
DxSmallValuesGrouping,
DxLegend,
DxExport,
} from 'devextreme-vue/pie-chart';
import { dataSource } from './data.js';
export default {
components: {
DxPieChart,
DxSeries,
DxLabel,
DxConnector,
DxSmallValuesGrouping,
DxLegend,
DxExport,
},
data() {
return {
dataSource,
};
},
methods: {
formatLabel(pointInfo) {
return `${pointInfo.argumentText}: ${pointInfo.valueText}%`;
},
},
};
</script>
<style>
#pie {
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const dataSource = [{
language: 'English',
percent: 55.5,
}, {
language: 'Chinese',
percent: 2.8,
}, {
language: 'Spanish',
percent: 4.6,
}, {
language: 'Japanese',
percent: 5.0,
}, {
language: 'Portuguese',
percent: 2.5,
}, {
language: 'German',
percent: 5.8,
}, {
language: 'French',
percent: 4.0,
}, {
language: 'Russian',
percent: 5.9,
}, {
language: 'Italian',
percent: 1.9,
}, {
language: 'Polish',
percent: 1.7,
}, {
language: 'Turkish',
percent: 1.5,
}, {
language: 'Dutch',
percent: 1.3,
}, {
language: 'Persian',
percent: 0.9,
}, {
language: 'Arabic',
percent: 0.8,
}, {
language: 'Korean',
percent: 0.7,
}, {
language: 'Czech',
percent: 0.7,
}, {
language: 'Swedish',
percent: 0.5,
}, {
language: 'Vietnamese',
percent: 0.4,
}, {
language: 'Indonesian',
percent: 0.4,
}, {
language: 'Greek',
percent: 0.4,
}, {
language: 'Romanian',
percent: 0.4,
}, {
language: 'Hungarian',
percent: 0.3,
}, {
language: 'Danish',
percent: 0.3,
}, {
language: 'Thai',
percent: 0.3,
}, {
language: 'Finnish',
percent: 0.2,
}, {
language: 'Slovak',
percent: 0.2,
}, {
language: 'Bulgarian',
percent: 0.2,
}, {
language: 'Norwegian',
percent: 0.2,
}, {
language: 'Hebrew',
percent: 0.1,
}, {
language: 'Lithuanian',
percent: 0.1,
}, {
language: 'Croatian',
percent: 0.1,
}, {
language: 'Ukrainian',
percent: 0.1,
}, {
language: 'Norwegian Bokmål',
percent: 0.1,
}, {
language: 'Serbian',
percent: 0.1,
}, {
language: 'Catalan',
percent: 0.1,
}, {
language: 'Slovenian',
percent: 0.1,
}, {
language: 'Latvian',
percent: 0.1,
}, {
language: 'Estonian',
percent: 0.1,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);